ALTER TABLE Trn_MayContratos ADD ContOperando BIT DEFAULT(0) NOT NULL
GO
ALTER TABLE Agencias ADD AgencOperando BIT DEFAULT(0) NOT NULL
GO
ALTER TABLE TercCliePrestamo ADD NumTarj VARCHAR(30),PwdTarj VARCHAR(30),FecVenceTc SMALLDATETIME
GO
ALTER TABLE tm_ccCupones ADD tmNCuota INT DEFAULT(0)
GO
CREATE TABLE Trn_MayFacturas ( 
TipFac VARCHAR(3) NOT NULL,
Factura INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Item INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Cantidad DECIMAL(14,4) DEFAULT (0) NOT NULL,
ValorTotal MONEY DEFAULT (0) NOT NULL,
CantDev DECIMAL(14,4) DEFAULT (0) NOT NULL,
ValorDev MONEY DEFAULT (0) NOT NULL,
NContrato INT DEFAULT (0) NOT NULL,
CdCiaCon CHAR(2) DEFAULT ('01') NOT NULL,
ClaseCont VARCHAR(10),
IdCliente VARCHAR(16) NOT NULL,
IdAgencia VARCHAR(16) DEFAULT ('0') NOT NULL,
EsProdBase INT DEFAULT (0) NOT NULL,
TipoProd VARCHAR(20) DEFAULT ('COMBUSTIBLE')
 CONSTRAINT PK_Trn_MayFacturas PRIMARY KEY NONCLUSTERED (TipFac,Factura,IdCia,Item),
 CONSTRAINT CK_Trn_MayFacturasCdCiaCon CHECK ((len([CdCiaCon]) > 0)),
 CONSTRAINT CK_Trn_MayFacturasIdAgencia CHECK ((len([IdAgencia]) > 0)),
 CONSTRAINT CK_Trn_MayFacturasIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_Trn_MayFacturasIdCliente CHECK ((len([IdCliente]) > 0)),
 CONSTRAINT CK_Trn_MayFacturasIdProducto CHECK ((len([IdProducto]) > 0)),
 CONSTRAINT CK_Trn_MayFacturasTipFac CHECK ((len([TipFac]) > 0)))
CREATE TABLE Trn_MayCesion ( 
Numero INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
NContrato INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) NOT NULL,
IdCliente VARCHAR(16) NOT NULL,
IdAgencia VARCHAR(16) NOT NULL,
IdNueClie VARCHAR(16) NOT NULL,
IdNueAgenc VARCHAR(16) NOT NULL,
FecInicio SMALLDATETIME,
ClaseCont VARCHAR(10),
CdTipoCont VARCHAR(4),
CuotaBase DECIMAL(14,4) DEFAULT (0) NOT NULL,
CuotaMin DECIMAL(14,4) DEFAULT (0) NOT NULL,
AcumGals DECIMAL(14,4) DEFAULT (0) NOT NULL,
Observacion VARCHAR(250),
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_Trn_MayCesion PRIMARY KEY CLUSTERED (Numero),
 CONSTRAINT CK_Trn_MayCesionIdAgencia CHECK ((len([IdAgencia]) > 0)),
 CONSTRAINT CK_Trn_MayCesionIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_Trn_MayCesionIdCliente CHECK ((len([IdCliente]) > 0)),
 CONSTRAINT CK_Trn_MayCesionIdNueAgenc CHECK ((len([IdNueAgenc]) > 0)),
 CONSTRAINT CK_Trn_MayCesionIdNueClie CHECK ((len([IdNueClie]) > 0)),
 CONSTRAINT CK_Trn_MayCesionIdUsuario CHECK ((len([IdUsuario]) > 0)))
ALTER TABLE Trn_MayFacturas ADD 
 CONSTRAINT FK_Trn_MayFacturas_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_MayFacturas_ProdMcias FOREIGN KEY (IdProducto) REFERENCES [dbo].[ProdMcias] (IdProducto),
 CONSTRAINT FK_Trn_MayFacturas_Sys_TiposDoc FOREIGN KEY (TipFac) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_MayFacturas_Terceros FOREIGN KEY (IdCliente) REFERENCES [dbo].[Terceros] (IdTercero)
 CREATE CLUSTERED INDEX IX_Trn_MayFacturasFecha ON Trn_MayFacturas(Fecha,IdCliente,IdAgencia)
 CREATE NONCLUSTERED INDEX IX_Trn_MayFacturasNContrato ON Trn_MayFacturas(NContrato,CdCiaCon)
ALTER TABLE Trn_MayCesion ADD 
 CONSTRAINT FK_Trn_MayCesion_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_MayCesion_Terceros FOREIGN KEY (IdCliente) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_MayCesion_Trn_MayContratos FOREIGN KEY (NContrato,IdCia) REFERENCES [dbo].[Trn_MayContratos] (NContrato,IdCia)
 CREATE NONCLUSTERED INDEX IX_Trn_MayCesionFecha ON Trn_MayCesion(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_MayCesionNContrato ON Trn_MayCesion(NContrato,IdCia)